Share via


Products - Generate Default Device Groups

Generates default device groups for the product. '.default' and '.unassigned' are system defined values and cannot be used for product name.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureSphere/catalogs/{catalogName}/products/{productName}/generateDefaultDeviceGroups?api-version=2024-04-01

URI Parameters

Name In Required Type Description
catalogName
path True

string

pattern: ^[A-Za-z0-9_-]{1,50}$

Name of catalog

productName
path True

string

pattern: ^[\w][\w\s]{1,48}[\w]$|^\.default$|^\.unassigned$

Name of product.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DeviceGroupListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Products_GenerateDefaultDeviceGroups

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MyResourceGroup1/providers/Microsoft.AzureSphere/catalogs/MyCatalog1/products/MyProduct1/generateDefaultDeviceGroups?api-version=2024-04-01

Sample response

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MyResourceGroup1/providers/Microsoft.AzureSphere/catalogs/MyCatalog1/products/MyProduct1/devicegroups/MyDeviceGroup1",
      "name": "MyDeviceGroup1",
      "properties": {
        "description": "Device group description 1",
        "osFeedType": "Retail",
        "updatePolicy": "UpdateAll",
        "allowCrashDumpsCollection": "Enabled"
      }
    },
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/MyResourceGroup1/providers/Microsoft.AzureSphere/catalogs/MyCatalog1/products/MyProduct1/devicegroups/MyDeviceGroup2",
      "name": "MyDeviceGroup2",
      "properties": {
        "description": "Device group description 2",
        "osFeedType": "Retail",
        "updatePolicy": "UpdateAll",
        "allowCrashDumpsCollection": "Enabled"
      }
    }
  ]
}

Definitions

Name Description
AllowCrashDumpCollection

Allow crash dumps values.

createdByType

The type of identity that created the resource.

DeviceGroup

An device group resource belonging to a product resource.

DeviceGroupListResult

The response of a DeviceGroup list operation.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

OSFeedType

OS feed type values.

ProvisioningState

Provisioning state of resource.

RegionalDataBoundary

Regional data boundary values.

systemData

Metadata pertaining to creation and last modification of the resource.

UpdatePolicy

Update policy values.

AllowCrashDumpCollection

Allow crash dumps values.

Value Description
Enabled

Crash dump collection enabled

Disabled

Crash dump collection disabled

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DeviceGroup

An device group resource belonging to a product resource.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.allowCrashDumpsCollection

AllowCrashDumpCollection

Flag to define if the user allows for crash dump collection.

properties.description

string

Description of the device group.

properties.hasDeployment

boolean

Deployment status for the device group.

properties.osFeedType

OSFeedType

Operating system feed type of the device group.

properties.provisioningState

ProvisioningState

The status of the last operation.

properties.regionalDataBoundary

RegionalDataBoundary

Regional data boundary for the device group.

properties.updatePolicy

UpdatePolicy

Update policy of the device group.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DeviceGroupListResult

The response of a DeviceGroup list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

DeviceGroup[]

The DeviceGroup items on this page

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

OSFeedType

OS feed type values.

Value Description
Retail

Retail OS feed type.

RetailEval

Retail evaluation OS feed type.

ProvisioningState

Provisioning state of resource.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Provisioning

The resource is being provisioned

Updating

The resource is being updated

Deleting

The resource is being deleted

Accepted

The resource create request has been accepted

RegionalDataBoundary

Regional data boundary values.

Value Description
None

No data boundary

EU

EU data boundary

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpdatePolicy

Update policy values.

Value Description
UpdateAll

Update all policy.

No3rdPartyAppUpdates

No update for 3rd party app policy.